html, body {
  background-color: white;
  margin: 0;
  font-family: 'Roboto', sans-serif;
  background-repeat: no-repeat;
  background-size: cover;
}

h4 {
  font-size: 150%;
}
#content{
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr;
  grid-template-columns: 1fr;
  grid-template-areas:
    "bkg1";
  width: 100%;
  height: 100vh;
}
#bkg1 {
  -ms-grid-column: 1;
  -ms-grid-row: 1;
  background: no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  /*
  Low res image loads quickly, then gets replaced;
  The background color helps lessen flicker if you pick one close to the image hue,
  which can be computed at http://mkweb.bcgsc.ca/color-summarizer/?analyze
  */
  /*background: linear-gradient(to bottom right, #2485db 0%, #1f74bf 100%);*/
  background-image: url("575-01.png");
}
#bkg2 {
  -ms-grid-column: 2;
  -ms-grid-row: 1;
  margin: auto;
  background: linear-gradient(to bottom right, #2485db 0%, #1f74bf 100%);
  height: 100%;
  width: 100%;
}
#pd_logo {
  display: fixed;
  width: 100%;
  height: 10%;
  position: absolute;
  top: 40px;
  left: 90px;
}
#client_logo {
  display: flex;
  width: 100%;
  height: 10%;
  position: absolute;
  top: 50px;
  left: 60px;
}
img#smallerlogo {
  display: none;
}
#wrapper {
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 2.1fr 1.4fr;
  grid-template-columns: 2.1fr 1.4fr;
  grid-template-areas:
    "banner logon";
  height: 65vh;
  width: 75vw;
}

#icons {
  margin: auto 0px;
  grid-area: icons;
  background-color: white;
  height: 85%;
}

#banner {
  -ms-grid-column: 1;
  -ms-grid-row: 1;
  background: no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  /*
  Low res image loads quickly, then gets replaced;
  The background color helps lessen flicker if you pick one close to the image hue,
  which can be computed at http://mkweb.bcgsc.ca/color-summarizer/?analyze
  */
  background-color: white;
}

#hr_banner {
  height: 100%;
  width: 100%;
  background: no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

#logon {
  -ms-grid-column: 2;
  -ms-grid-row: 1;
  margin: auto;
  background-color: white;
  /*background: linear-gradient(to bottom right, #2485db 50%, #1f74bf 100%);*/
  height: 100%;
  width: 100%;
  /*border: 3px solid #2485db;*/
  /*box-shadow:2px 2px 4px rgba(0, 0, 0, 0.4);*/
}

.logon__errors,
.logon__misc-text {
  margin-top: 0.8rem;
  font-size: 0.8rem;
  color: #274E8A;
}

#empty-username--error {
  display: none;
}

.logon__error {
  color: #ffa500;
  font-size: 100%;
  font-weight: 500;
}

.logon__fields {
  margin-top: 1rem;
}

.logon__field:first-child {
  margin-top: 0;
}

.logon__field {
  margin-top: 0.5rem;
}

.logon__form_container {
  display:flex;
  justify-content:center;
  align-items:center;
  height:100%;
}

.logon__title {
  font-size: 1.7rem;
  font-weight: 700;
  color: #2485db;
  font-family: 'Roboto', sans-serif;
  letter-spacing: 3.0px;
  line-height: 0.9em;
  margin-bottom: 10%;
}
.input-field {
  width: 80%;
  font-size: 1.1em !important;
  color: #2485db !important;
  font-weight: 550;
  letter-spacing: 0.2px;


}
.input-field > label {
  color: grey !important;
  position: absolute;
  top: 4px;
  left: 0;
  font-size: 0.85rem !important;
  cursor: text;
  -webkit-transition: color .2s ease-out, -webkit-transform .2s ease-out;
  transition: color .2s ease-out, -webkit-transform .2s ease-out;
  transition: transform .2s ease-out, color .2s ease-out;
  transition: transform .2s ease-out, color .2s ease-out, -webkit-transform .2s ease-out;
  -webkit-transform-origin: 0% 100%;
  transform-origin: 0% 100%;
  text-align: initial;
  -webkit-transform: translateY(12px);
  transform: translateY(12px);
}

.input-field > label:not(.label-icon).active {
  -webkit-transform: translateY(-14px) scale(0.8) !important;
  transform: translateY(-14px) scale(0.8) !important;
  -webkit-transform-origin: 0 0 !important;
  transform-origin: 0 0 !important;
  color: #182b3a !important;
  font-weight: 500 !important;
}

.input-field > input[type]:-webkit-autofill:not(.browser-default):not([type="search"]) + label,
.input-field > input[type=date]:not(.browser-default) + label,
.input-field > input[type=time]:not(.browser-default) + label,
.input-field > label:not(.label-icon).active {
  -webkit-transform: translateY(-.5rem) scale(0.8) !important;
  transform: translateY(-.5rem) scale(0.8) !important;
  -webkit-transform-origin: 0 0 !important;
  transform-origin: 0 0 !important;
  color: grey !important;
  font-weight: 500 !important;
}

.logon__buttons {
  margin-top: 10%;
}

.logon__link {
  padding-top: 1rem;
  display:inline-block;
  width: 100%;
  color: #274E8A;
  font-size: 80%;
}
.fa {
  padding: 3px;
  width: 20px;
  height: 20px;
  text-align: center;
  text-decoration: none;
  border-radius: 50%;
  transition: transform 0.8s ease-in-out;
  background: #182b3a;
  margin-right: 3px;
}

.fa:hover {
  transform: rotateX(180deg) rotateY(180deg) rotateZ(180deg);
}

.fa-prelude {
  background-image: url("PD_Logo_Solid_White-HighRes.png");
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: 40%; /* Resize the background image to cover the entire container */
  color: white;
}
.fa-facebook {
  background-image: url("facebook.png");
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: 100%; /* Resize the background image to cover the entire container */
  color: white;
}

.fa-twitter {
  background-image: url("twitter.png");
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: 100%; /* Resize the background image to cover the entire container */
  color: white;
}

.fa-linkedin {
  background-image: url("linkedin.png");
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: 100%; /* Resize the background image to cover the entire container */
  color: white;
}

ul {
  text-align: center;
  width: 100%;
  padding: 0px;
  list-style: none;
  margin: 40px auto;
}

ul > li {
  margin: 0 auto;
  padding: 10px;
  border-left: 4px solid transparent;
}

li:hover {
  border-left: 4px solid lightblue;
}

svg {
  fill: white;
}

form {
  margin: 1.2rem;
  width: 90%;
  height: 90%;
  font-size: 0.9rem;
  text-align: center;
}

span {
  color: #2485db;
  letter-spacing: normal;
  font-weight: 300;
  font-size: 1em;
  line-height: 30px;
  font-family: 'Roboto', sans-serif;
}

h4 {
  margin: 0px 25px;
  padding: 10px 0;
}

p {
  margin: 25px 25px 0 25px;
  font-size: 10px;
  width: 100%;
}


p.error {
  margin-top: 10px;
}

form > a {
  color: white;
  font-size: 75%;
}

footer {
  right: 10%;
  bottom: 10%;
  position: absolute;
}

footer > p {
  color: white;
  margin: 2px 0;
}

footer > p > a {
  color: white;
}

.error {
  color: orange;
}

/*==================================================
 * Resize the foreground for smaller screens
 * ===============================================*/

@media only screen and (max-width: 1000px){

  body #banner {
    width: 0px;
    background: lightblue;
    background-image: none !important; /* overrides the in-line style */
  }

  #logon{
    display: block;
    width: 100%;
    height: 100%;
  }
  #content{
    display: block;
    width: 100%;
    height: 100%;
  }
  #wrapper{
    display: block;
    height: 65vh;
    width: 75vw;
  }
  img#smallerlogo {
    display: block;
    max-width:1000px;
    max-height:200px;
    width: 100%;
    height: auto;
    display: block;
    background-position: center top;
  }
  #pd_logo {
  display: none;
  }
  /*

  #wrapper {
    -ms-grid-columns: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
      "banner logon";
  }*/
}

@media only screen and (max-height: 675px) {
  #wrapper {
    height: 75vh;
    max-height:400px;
  }
  .shadow
  {
    position:relative;
    box-shadow:0px 0px 0px rgba(0, 0, 0, 0) !important;
  }
  .shadow:before, .shadow:after
  {
    content:"";
    position:absolute;
    box-shadow: none !important;
  }
}

@media only screen and (max-height: 715px) and (min-height: 675px) {
  #error {
    display: none;
  }
  .shadow
  {
    position:relative;
    box-shadow:0px 0px 0px rgba(0, 0, 0, 0) !important;
  }
  .shadow:before, .shadow:after
  {
    content:"";
    position:absolute;
    box-shadow: none !important;
  }
}

@media only screen and (max-height: 475px) {
  #error {
    display: none;
  }


  #logon {
    margin-top: 0;
    height: 100%;
  }

  footer > p, footer > p > a {
    color: blue;
  }
  .shadow
  {
    position:relative;
    box-shadow:0px 0px 0px rgba(0, 0, 0, 0) !important;
  }
  .shadow:before, .shadow:after
  {
    content:"";
    position:absolute;
    box-shadow: none !important;
  }
}

@media only screen and (max-height: 400px) {
  p {
    margin: 0px 25px;
    font-size: 13px;
  }

  p.error {
    margin: 0px 25px 0px 25px;
  }

  h4 {
    padding: 2px 0;
  }
  .shadow
  {
    position:relative;
    box-shadow:0px 0px 0px rgba(0, 0, 0, 0) !important;
  }
  .shadow:before, .shadow:after
  {
    content:"";
    position:absolute;
    box-shadow: none !important;
  }
}

@media only screen and (max-height: 850px) {

  body form > p {
    margin: 10px 25px;
  }

  #icons ul {
    margin: 10px auto;
  }
}

/*==================================================
 * Box-shadow for the foreground
 * ===============================================*/
.shadow
{
  position:relative;
  -webkit-box-shadow:0 0px 0px rgba(0, 0, 0, 0);
  -moz-box-shadow:0 0px 0px rgba(0, 0, 0, 0);
  box-shadow:0px 0px 0px rgba(0, 0, 0, 0);
}
.shadow:before, .shadow:after
{
  content:"";
  position:absolute;
  z-index:-1;
  -webkit-box-shadow:0 0 0px rgba(0,0,0,0);
  -moz-box-shadow:0 0 0px rgba(0,0,0,0);
  box-shadow:0 0 0px rgba(0,0,0,0);
  top:10px;
  bottom:10px;
  left:0;
  right:0;
  -moz-border-radius:100px / 10px;
  border-radius:100px / 10px;
}
.shadow:after
{
  right:auto;
  left:auto;
  -webkit-transform:skew(8deg) rotate(3deg);
  -moz-transform:skew(8deg) rotate(3deg);
  -ms-transform:skew(8deg) rotate(3deg);
  -o-transform:skew(8deg) rotate(3deg);
  transform:skew(8deg) rotate(3deg);
}

button, .logon__button {
  border: none;
  background: #182b3a;
  cursor: pointer;
  border-radius: 4px;
  padding: 10px;
  width: 60%;
  color: white;
  margin: 0.5rem 0;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.2);
  font-family: 'Roboto', sans-serif;
  font-size: 90%;
  font-weight: 400;
}

.logon__sso-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

  background: inherit;
  box-shadow: none;
  border: solid #182b3a 2px;
  width: 60%;
  color: #182b3a;
}

button:hover {
  -webkit-transform: translateY(-3px);
  transform: translateY(-3px);
  box-shadow: 0 6px 6px 0 rgba(0, 0, 0, 0.2);
}

a {
  color: #039be5;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent;
}

input[type=text]:not(.browser-default),
input[type=email]:not(.browser-default),
input[type=password]:not(.browser-default) {
  width: 100%;
  font-weight: 600 !important;
}

/** The logon page is doing some weird stuff with the password field,
so override the usual style */
input[type=text]:not(.browser-default),
input[type=email]:not(.browser-default),
input[type=password]:not(.browser-default):disabled,
input[type=password]:not(.browser-default)[readonly="readonly"] {
  color: #182b3a!important;
  border-bottom: 1.5px solid #182b3a!important;
  font-weight: 500 !important;
}
input[type=text]:not(.browser-default):focus:not([readonly]),
input[type=email]:not(.browser-default):focus:not([readonly]),
input[type=password]:not(.browser-default):focus:not([readonly]){
  border-bottom: 1.5px solid #182b3a!important;
}

@font-face{
  font-family: 'Roboto';
  src: url('./interface/themes/fonts/Roboto-Regular.ttf');
  src: url('./interface/themes/fonts/Roboto-Regular.ttf?#iefix') format('truetype');
  font-weight: normal;
  font-style: normal;
}
/* Target IE 10 and 11 */
@media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none) {
  #wrapper{
    position: relative;
    margin: inherit;
    right: inherit;
    left: inherit;
    top: inherit;
    bottom: inherit;
  }

  form{
    margin-bottom: 200px;
  }
}

/** Logon Messages css */
.logon__messages_container {
  position: relative;
  margin-top: 3.75%;
  text-align: left;
}

.logon__messages_link_container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: center;
}

.logon__messages_link {
  display: flex;
  align-items: center;
  background-color: transparent;
  border-radius: 4px;
  padding: 4px 4px 0 4px;
  transition: background-color 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.logon__messages_link:hover {
  background-color: #eaeaea;
}

.logon__messages_icon {
  position: relative;
  display: inline-block;
  color: black;
}

.logon__messages_dot {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 50%;
  height: 10px;
  width: 10px;
  background-color: #f73378;
}

.logon__messages_primary_title {
  color: black;
  margin-bottom: 3px;
  margin-left: 4px;
  font-size: 12px;
}

.logon__messages_secondary_title {
  font-size: 60%;
  color: #f73378
}
